## org.apache.poi.hdf.model.hdftypes
Class TextPiece

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.PropertyNode
          org.apache.poi.hdf.model.hdftypes.TextPiece

All Implemented Interfaces:
  java.lang.Comparable

public class TextPiece
extends PropertyNode
implements java.lang.Comparable

Lightweight representation of a text piece.

Author:
  Ryan Ackley

Constructor Summary
`TextPiece(int start, int length, boolean unicode)`

Method Summary
`boolean` `usesUnicode()`

Methods inherited from class org.apache.poi.hdf.model.hdftypes.PropertyNode
`compareTo, getEnd, getGrpprl, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### TextPiece

    public TextPiece(int start,
                     int length,
                     boolean unicode)

Parameters:
  `start` - Offset in main document stream.
  `length` - The total length of the text in bytes. Note: 1 character does not necessarily refer to 1 byte.
  `unicode` - true if this text is unicode.

Method Detail

### usesUnicode

    public boolean usesUnicode()

  Returns:
    If this text piece uses unicode

Copyright © 2003 Apache Software Foundation.